/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * Version : 10/11/2017 : SCA : V2.2
 *  Redmine #5501
 * Version : 25/11/2022 : LBE : V2.6
 * DM-ID : Redmine#7316 : new AMDA paramsters
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.tools.externalLinks;

public class AmdaModel {

	public static enum Observer {
		ACE("ACE", "ACE"),
                CASSINI("CASSINI", "CASSINI"),
		DSCOVR("DSCOVR", "DSCOVR"),
		GEOMAG("Geomagnetic Indices", "GEOMAG"),
                JUNO("JUNO", "JUNO"),
		MAVEN("MAVEN", "MAVEN"),
                MGS("Mars Global Surveyor", "MGS"),
                MESSENGER("MESSENGER", "MESSENGER"),
		MEX("MEX", "MEX"),
		OMNI("OMNI", "OMNI"),
		PSP("Parker Solar Probe", "PSP"),
                ROSETTA("ROSETTA", "ROSETTA"),
		SOLO("Solar Orbiter", "SOLO"),
		STEREO_A("STEREO-A", "STEREO-A"), 
		STEREO_B("STEREO-B", "STEREO-B"), 
		VEX("VEX", "VEX"),
		WIND("WIND", "WIND"),
                ;

		private String name;
		private String id;

		Observer(String name, String id) {
			this.name = name;
			this.id = id;
		}
		public String getName() {
			return name;
		}
		public String getId() {
			return id;
		}
	}

	public enum PlotParam {

		PPX("B, Bx, By, Bz, N, T, V", "B, Bx, By, Bz, N, T, V"),
		PPG("AE, Dst, Kp", "AE, Dst, Kp"),
		PPM("_N_SW, V_SW", "N_SW, V_SW"),
		PPS("B, Br, Bt, Bn, N, V, Vth", "B, Br, Bt, Bn, N, V, Vth"),
		PP_ST_EP("Electron flux (0.7 - 1.5 MeV), Protons (~20 MeV)", "Electron flux (0.7 - 1.5 MeV), Protons (~20 MeV)"),
		PP_SO_EP("Electron flux (0.45 - 1.04 MeV), Protons (~20 MeV)", "Electron flux (0.45 - 1.04 MeV), Protons (~20 MeV)"),
		PP_PSP_EP("Protons (~20 MeV)", "Protons (~20 MeV)"),
                PP_SO_MAG("B, Br, Bt, Bn, N, T, V", "B, Br, Bt, Bn, N, T, V"),
		PPW("B, Bx, By, Bz, N, V, Vth", "B, Bx, By, Bz, N, V, Vth"),
		PPV("B, Bx, By, Bz, _N_SW, V_SW", "B, Bx, By, Bz, N_SW, V_SW"),
                PP_ROSETTA("_|b|, b_cseq","|b|, b_cseq"),
                PP_JUNO("_|b|, b_rtn or b_jso","|b|, b_rtn or b_jso"),
                PP_CASSINI("_b_rtn, LET ion A","b_rtn, LET ion A"),
                PP_MGS("_b_mso","b_mso"),
                PP_MESSENGER("_b_rtn, density h+","b_rtn, density h+"),
                ;
                
		
		private String longList;
		private String shortList;

		PlotParam(String longList, String shortList) {
			this.longList = longList;
			this.shortList = shortList;
		}

		public String getLongList() {
			return longList;
		}
		public String getShortList() {
			return shortList;
		}
	}
}
